$light:#fff;
$dark:#000;
$main:#333;
$date:#777;
$msg:#333;
$c1:#08c;
$c2:#06c;
$c3:#00CEFF;

$bg:#0a2248;
$bg-form:#1a3153;

body{
	margin: 0;
	overflow-x: hidden;
	overflow-y: auto;
	/* font-family: 'Arial'; */
	/* font-family: 'Open Sans', sans-serif; */
	position: relative;
}

*{
	box-sizing: border-box;
    // word-break: break-all;
}

img{
	max-width: 100%;
}
.p-mb-20{
	margin-bottom: 20px;
}
.live-assistant__mess{
	border: 1px solid #ccc;
	height: 365px;
	margin-bottom: 20px;
	overflow: auto;
}
.p-hidden{
	display:none !important;
}

.p-block{
	display:block !important;
}
			
.p-t-c{
    text-align: center;
}
.mb-5{
    margin-bottom: 3rem;
}
.mt-5{
    margin-top: 3rem;
}
.ml-2{
    margin-left: 1rem;
}
.mr-2{
    margin-right: 1rem;
}
.d-flex-center{
    display: flex;
    justify-content: center;
}
.messages__time-chat.messages__time-chat_right div{
    margin-left: auto;
    margin-left: auto;
    text-align: left; 
}
.pos-r{
    position: relative;
}
.btn{
    &--blue{
        background: linear-gradient(to top, $c1,$c3);
        color: $light;
    }
    &__send{        
        display: block;
        width: 100%;  
        font-size: 1.75rem;
        text-transform: uppercase;
        margin-top: 1rem;        
        padding: 1.125rem;
        border-radius: 8px;
        &:hover{
            color: $light;
            box-shadow: 1px 3px 10px $c1;
            transform: translateY(-2px);
            transition: transform 0.3s ease;
        }
        .-icon{
            vertical-align: top;
            margin-left: 8px;
            font-size: 2rem;
            // filter: brightness(0) invert(1);
        }
    }
   
    &__closes{
        position: absolute;
        right: 10px;
        top: 10px;      
        display: flex;
        justify-content: center;
        align-items: center;
    }
    &__close{
        width: 30px;
        height: 30px;     
        -webkit-filter: brightness(0) invert(1);
        filter: brightness(0) invert(1);
        border: 0;
        background: transparent;      
        text-align: center;
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 0;  
        background: url('../img/dash.svg') center;      
        background-size: 30px;
    }
    &__logout{
        background: url('../img/close.svg') center;      
        background-size: 30px;
    }
    &__restore{
        background: transparent;
        border: 1px solid $light;
        color: $light;        
        min-width: 60px;
        &:hover,&:focus{
            color: $c1;    
        }    
    }
    &__new-convensation{
        background: transparent;
        border: 1px solid $light;
        color: $light;    
        min-width: 60px;
        &:hover,&:focus{
            color: $c1;    
        }    
    }
    &_readmore{
        color: $main;
        font-size: 1.35rem;
        
    }
}
.la{
    &__popup {
        position: fixed;
        right: 16px;
        bottom: 10px;
        z-index: 10000;       
    }
    &__inner{
        position: fixed;
        right: 16px;
        bottom: 10px;
        z-index: 10000;      
        
        overflow: auto;
        border: 1px solid $light;
        padding: 12px 16px 16px 16px;
        width: 100%;
        max-width: 300px;
        max-height: 100vh;
        overflow: auto;
        @media(max-width: 320px){
            max-width: 100%;
            right: 0;
        }
        background: $bg;
        color: #fff;
        border-radius: 10px;
        opacity: 0;
        transform: scale(0, 0);
        transform-origin: bottom center;
        transition: all 300ms;
        transition-timing-function: cubic-bezier(.63,.8,.51,1.08);          
      
        &.active{
            display: block;         
            opacity: 1;
            transform: scale(1, 1);
        }
    }
    &__heading{
        display: flex;
        justify-content: flex-start;
        align-items: center;
        padding-right: 50px;
        font-size: 14px;
        font-weight: 400;
        // margin-bottom: 1.75rem;
        text-transform: uppercase;
        margin-top: 0;
        margin-bottom: 10px;
        img{
            margin-right: 1rem;
        }
    }
    &--white{
        .text{
            color: $light;
            width: 52px;
            font-size: 14px;
            border-radius: 2px;
            font-weight: 400;
        }
        .text2{
            color: $light;
            font-size: 14px;
            border-radius: 2px;
            font-weight: 400;
        }
        input.text,select.text{
            color:#333;
            padding: 3px 10px;
            border-radius: 2px;
            border: none;
            margin-bottom: 1.5rem;
            width: calc(100% - 57px);
            background-color: #FFFFFFE6;
        }
        textarea.text{
            height: 182px;
            color:#333;
            padding: 8px;  
        }
    }
    form{
        background-color: $bg-form;
        padding-top: 1.25rem;
        position: relative;
    }
    &__button{
        position: fixed;
        bottom: 10px;
        right: 70px;
        z-index: 10;
        background: $c2;
        color: $light;
        display: inline-block;      
        padding: 6px 10px;
        border-radius: 4px;
        transition: background 200ms, color 300ms, transform 200ms ease-in;
        display: flex;
        justify-content: center;
        align-items: center;
        font-size: 12px;
        transition-delay: 200ms;
        .--icon{
            filter: brightness(0) invert(1);
            vertical-align: bottom;
            margin-left: 6px;
        }
        &:hover,&:active,&:focus{
            color: $light;
            // text-shadow: 0 0 5px;
            // box-shadow: 1px 2px 10px $c1;
            transform: translateY(-3px);
            background: $c1;
        }
    }
    &__status{
        font-size: 1.35rem;
        margin-bottom: 1rem;
        margin-top: 3rem;
        color: #09c;
    }
    .btn{
        &:hover:not(.btn--blue):not(.la__button){
            color: $c1;
        }
    }
    &__captcha{
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-top: 1rem;
        *{
            margin-right: 5px;
            width: calc(100% / 3);
        }
        &-label{
            font-size: 1.5rem;
            // width: 80px;
            display: inline-block;
        }
        &-img{
            // width: 90px;    
            user-select: none;
            background-image: -webkit-linear-gradient(135deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
            background-size: 3rem 3rem;
            color: rgba(255,255,255,0.6);
            font-size: 1.75rem;
            &_change{
                width: 25px;
                height: 25px;
                background: url('../img/repeat.svg')center;
                background-size: 25px;
                filter: brightness(0) invert(1);
                transition: transform 0.5s ease-in;
            }
        }
        &-input{
            border: 0;
            background: $light;
            padding: 0.25rem 0.5rem;
            height: 25px;
            // width: 80px;
        }
    }
    &__warning{
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background: $bg-form;
        z-index: 10;
        display: none;
        padding: 16px 10px;
        &.active{
            display: block;
        }
        .btn__closes{
            right: 7px;
            top: 7px;            
        }
        .btn__close{
            height: 25px;
            width: 25px;
            background-size: 25px;
        }
    }

}
.la__captcha_mess {
    font-size: 1.25rem;
    color: $c3;
}
.la__mess--wrap{
    background-color: $bg-form;
    padding-top: .25rem;
    position: relative;
}
.la__mess{
    background: $light;
    height: 365px;
    margin-bottom: 1.75rem;
    border: 0;
    padding: 16px;
    overflow: auto; 
    border-radius: 2px;  
    @media(max-height:575px){
        height: calc(100vh - 200px);
    }
    &::-webkit-scrollbar {
        width: 0.5em;
    }
        
    &::-webkit-scrollbar-track {
        -webkit-box-shadow: inset 0 0 6px rgba($bg,0.3);
    }
        
    &::-webkit-scrollbar-thumb {
        background-color: rgba($bg,0.3);
        outline: 1px solid rgba($bg,0.6);
    }
    
}
.la__chat{
    &--heading{
        font-size: 1.5rem;
        margin-bottom: 0.75rem;
    }
    &--inputs{
        position: relative;
        
    }
    &--input{
        padding: 11px 50px 11px 15px;
        border-radius: 0 0 10px;
        width: 100%;   
        border-radius: 2px 2px 15px 2px;
        height: 44px!important;
        overflow: hidden;
    }
    &--send{
        position: absolute;
        right: 0;
        top: 0;
        display: flex;
        justify-content: center;
        align-items: center;
        height: 44px;
        width: 45px;
        border-radius: 15px 0;
        background: $c3;
        border: 0;
        &:hover{
            box-shadow: 0 0 10px #08c;
        }
        img{
            filter: brightness(0) invert(1);
        }
    }
}
.messages__time-chat{
    margin-bottom: 20px;   
    display: flex;
    color: $main;
    font-size: 14px;
    &.--owner{
        justify-content: flex-end;
        .--box{
            background: rgba($color: $light, $alpha: 1.0);    
        }
    }
    .--box{
        background: rgba($color: $bg-form, $alpha: 0.1);
        box-shadow: 1px 1px 3px #ccc;
        border-radius: 8px;
        padding: 10px;
        max-width: 90%;
    }
    .--name{
        color: $main;
        font-weight: 500;
    }
    .--date{
        font-size: 10px;
        color: $date;
    }
    .--msg{
        font-size: 14px;
        color: $msg;
    }
}
.comment-box-inline{
    padding-left: 10px;
    color: #666;
    font-size: 12px;
    font-style: italic;
    display: inline-grid;
    background: rgba(255,255,255,0.9);
    padding: 10px;
    border-radius: 3px;
    box-shadow: 2px 2px 2px rgba(0,0,0,0.15);
    margin: 5px 0 10px 0;
    .comment-box-inline{
        display: none;
    }
}
.comment-rep{
    padding-left: 0;
    padding-right: 0;
}